#include <stdio.h>
#include <stdlib.h>
#include <libgen.h>

#include "networking.h"

void usage(char *);
void help(void);

int main(int argc, char *argv[]) {
        (void) fprintf(stdout, "%s\n", "Networking with C");

        if (argc < 3) {
                usage(argv[0]);
                exit(EXIT_FAILURE);
        }

        exit(EXIT_SUCCESS);
}

void usage(char *progname) {

        fprintf(stderr, "Usage: %s [OPTION] host port msg...\n\n", basename(progname));
        help();
}

void help(void) {
        fprintf(stdout, "\t%s\n", "OPTIONS:");
        fprintf(stdout, "\t\t%s\n\t\t%s\n", "-s", "--server");
        fprintf(stdout, "\t\t%s\n\n", "Run the program as a server.");
        fprintf(stdout, "\t\t%s\n\t\t%s\n", "-c", "--client");
        fprintf(stdout, "\t\t%s\n\n", "Run the program as a client.");
        fprintf(stdout, "\t%s\n", "Running as a client is the default behavior.");
}


